Uploaded image for project: 'Kafka'
  1. Kafka
  2. KAFKA-8943

Move SecurityProviderCreator to a public package

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Blocker
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 2.4.0
    • Component/s: security
    • Labels:
      None

      Description

      The public interface `SecurityProviderCreator` added under KAFKA-8669 (KIP-492) is currently in the internal package `org.apache.kafka.common.security` along with other internal classes. Since this is a public interface, we should move it to a public package. We should also add `@InterfaceStability.Evolving` annotation.

       

      Marked as blocker for 2.4.0 since we should do this before the release.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                omkreddy Manikumar
                Reporter:
                rsivaram Rajini Sivaram
              • Votes:
                0 Vote for this issue
                Watchers:
                6 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: